> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Merchant KYC users manually

> Allows a merchant to manually populate KYC information for their members.



## OpenAPI

````yaml post /kyc/complete-kyc
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /kyc/complete-kyc:
    post:
      tags:
        - KYC
      summary: Merchant KYC users manually
      description: >-
        Allows a merchant to manually populate KYC information for their
        members.
      operationId: post-kyc-complete-kyc
      requestBody:
        content:
          application/json:
            schema:
              example:
                accountName: ''
                dob: ''
                documentId: ''
                email: ''
                firstName: ''
                gender: ''
                kycDocument: ''
                lastName: ''
                middleName: ''
                phoneNumber: ''
              properties:
                accountName:
                  type: string
                dob:
                  type: string
                documentId:
                  type: string
                email:
                  type: string
                firstName:
                  type: string
                gender:
                  enum:
                    - Male
                    - Female
                  type: string
                kycDocument:
                  enum:
                    - BVN
                  type: string
                lastName:
                  type: string
                middleName:
                  type: string
                phoneNumber:
                  type: string
              required:
                - accountName
                - firstName
                - middleName
                - lastName
                - email
                - phoneNumber
                - kycDocument
                - documentId
                - dob
                - gender
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  message: success
                properties:
                  message:
                    type: string
                type: object
          description: post kyc complete kyc ok
        '400':
          content:
            application/json:
              schema:
                example:
                  message: user not exempted
                properties:
                  message:
                    type: string
                type: object
          description: post kyc complete kyc bad request
        '409':
          content:
            application/json:
              schema:
                example:
                  message: KYC record already exists
                properties:
                  message:
                    type: string
                type: object
          description: post kyc complete kyc conflict
      security:
        - x-api-key: []
          x-api-user: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````